Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 13-02-2020 09:21:30

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Problème d'installation

Bonjour à toutes et à tous,

Je ne suis passé que tout récemment sous Debian (environnement Xfce), étant sous Windows depuis un moment avant cela.

J'ai essayé de suivre pas mal de tuto/guide, mais il y a déjà quelques petits problèmes... Simple exemple, je souhaite installer Discord.

J'ai trouvé sur un autre site qu'il fallait d'abord téléchargé la version .deb de discord sur leur site officiel, puis accéder au dossier où est placé le fichier .deb de discord via le terminal, et lancer la commande

sudo dpkg -i discord-0.0.9.deb

.

Et là j'ai une erreur dans la console qui m'indique que le fichier discord-0.0.9.deb n'existe pas. L'erreur ne vient pas de la dénomination du fichier, celui-ci s'appelle bien discord-0.0.9.deb (désolé de ne pas avoir de screen à vous montrer, je ne suis pas sur l'ordinateur concerné).

Pour accéder au dossier de téléchargement via le terminal, j'ai tout simplement fait un clique-droit dans le dossier de téléchargement où se trouve le .deb de discord, et j'ai cliqué sur "Ouvrir le terminal à partir de ce dossier". Mon erreur vient peut-être de là, mais je préfère être sûr en vous demandant avant de continuer quoique ce soit, car j'aurais voulu savoir la démarche "classique" pour installer des programmes pris sur le web.

Cordialement, Baptiste.

Hors ligne

#2 13-02-2020 09:43:45

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Problème d'installation

Salut smile

La démarche classique est d'éviter à tout prix de le faire et d'utiliser un logiciel existant dans les dépôts wink En effet, il faut s'assurer dans ce cas que le paquet est bien adapté à ta version de Debian, il faut faire confiance à celui qui te fournit le paquet (ça pourrait tout à fait être un malware), il ne recevra pas de suivi en terme de sécurité et ne sera pas mis à jour par le gestionnaire de paquet apt.

En ce qui me concerne, pour quelques paquets particuliers, je suis plus dans l'utilisation des Appimage en ce moment. C'est pratiquement identique à ce qu'on trouve sur Windows en terme d'installation de logiciel. Tu télécharges, tu executes via double clic (moyennant d'avoir rendu le fichier executable tongue ). Ça ne résout pas le problème de confiance, ça introduit d'autre problèmes de suivi de sécurité, mais ça résout celui des mises à jour. J'ai vu qu'il y en avait une pour Discord.

Sur ces belles paroles théoriques, ta commande utilisant un chemin relatif, es-tu certain d'être en dans le dossier où se trouve ton paquet ? Le vois-tu lorsque tu lances la commande ls dans ta console ?

Nous pouvons aussi t'orienter vers un peu de lecture sur l'utilisation de la ligne de commande : le tuto du débutant en ligne de commande wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#3 13-02-2020 10:03:47

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

Salut !

Lorsque tu dis "utiliser un logiciel existant dans les dépôts", c'est-à-dire utiliser un paquet officiel ? J'ai pris ce .deb directement sur le site de Discord, il pourrait tout de même y avoir des problème de sécurité (à cause des mises à jours) ?

Désolé pour toutes ces questions, mais je souhaiterais connaitre la bonne démarche pour installer des logiciels sur Debian, afin d'éviter des problèmes d'installation et de sécurité^^.

L'autre manière d'installer Discord était de passer par un paquet appelé Snap. Appimage est un paquet similaire à Snap, ça permet de télécharger/installer des applications ?

Sinon oui, je fichier.deb était bien présent, je le voyait, mais je ne l'ai pas vérifié avec un ls

Hors ligne

#4 13-02-2020 10:15:38

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Baptiste a écrit :

Lorsque tu dis "utiliser un logiciel existant dans les dépôts", c'est-à-dire utiliser un paquet officiel ?



Ça veut dire disponible dans les dépôts de ton sources.list

Tu as des exemples de sources.list pour Debian Buster (stable), par exemple, ici -> https://debian-facile.org/doc:system:ap … ist:buster

C'est là que Debian va chercher ses paquets

Et il est conseillé de n'utiliser Que les dépôts Debian, à moins de vraiment savoir ce que tu fais.

discord n'étant pas dans les paquets Debian, Il n'est pas conseillé de l'installer.

Dernière modification par Jean-Pierre Pinson (13-02-2020 10:36:41)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#5 13-02-2020 10:31:20

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

Ah d'accord, oui en installant debian j'ai modifié le sources.list en ajoutant contrib non-free à la fin de chaque deb http://ftp.fr.debian.org/debian/, etc...

Et donc de ce fait, j'ai autorisé l'installation de logiciel non-libre tel que Discord par exemple ?

Et j'avais également rajouté le # Backports avec ce qui s'en suit pour une version stable de Debian.

Ok donc je suis complètement largué, Discord est dagnereux car non-présent dans le sources.list de Debian ?

Dernière modification par Baptiste (13-02-2020 10:45:55)

Hors ligne

#6 13-02-2020 10:42:06

otyugh
CA Debian-Facile
Lieu : Quimperlé/Arzano
Distrib. : Debian Stable
Inscription : 20-09-2016
Site Web

Re : Problème d'installation

Hééé.

Donc ce qu'ils te conseillent c'est d'abord estimer si tu veux vraiiiment Discord parce qu'il n'y a pas de bonnes solution idéale (ce ne sera ni un paquet intégré par Debian, ni un logiciel libre ; deux risques). Cela pesé, si tu veux l'installer quand même, la solution la moins pire est probablement de suivre les instructions du site officiel.

Alternativement comme le suggère Bendia tu peux installer via une appimage, pour éviter de "corrompre" ton système avec un tiers (tu isole un peu les dégâts potentiels), en installant le logiciel via appimage. Genre j'ai trouvé ça https://www.linux-apps.com/p/1218969/ (et non, je ne me porte pas garant, je ne sais pas ce que ça vaut.)

Dernière modification par otyugh (13-02-2020 10:44:58)


datalove-datalove-s1-2.png agendadulibre-lagendadulibre.png arzinfo-arzinfo.png

En ligne

#7 13-02-2020 10:42:23

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

il est conseillé de n'utiliser Que les dépôts Debian, à moins de vraiment savoir ce que tu fais. C'est ce que voulait dire bendia je pense ! smile

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#8 13-02-2020 10:49:09

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Si malgré tout tu veux installer discord le site officiel est là -> https://discordapp.com/

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#9 13-02-2020 10:54:07

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

D'accord, donc on ne peux installer que des logiciels provenant des paquets Debian. Donc tous les logiciels que je connaissais sous Windows, il sera probablement dangereux de les mettre sous Debian. Mais il reste des indispensables comme mes IDE de développement, j'espère que les plus connus sont autorisés...

Pour savoir ce que Debian autorise comme logiciels, il faut allez à quel adresse ?

Sinon pour Discord je prend le risque, c'est mon outil de travail entre autre, il n'est pas possible de m'en passer. Il n'y a pas d'instructions précises pour l'installation de Discord sous linux, ils font télécharger un .deb, après je doit me débrouiller avec ça. Comme faire pour installer ce .deb par la suite ? Et surtout comment forcer Debian à installer ce .deb ?

Hors ligne

#10 13-02-2020 10:55:54

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Non désolé il n'est pas dans les Dépôt Debian

Dernière modification par Jean-Pierre Pinson (13-02-2020 11:01:11)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#11 13-02-2020 10:59:22

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Problème d'installation

En fait, les dépôts, c'est comme les Store de Apple, Google et consorts. Ça a même été inventé il y a des lustres par les développeurs de distribution tongue

Mais, si personne n'a mis le logiciel dans le Store, tu ne pourra pas l'installer par ce biais. Et c'est le cas pour Discord.

Les dépôts sont gérés par Debian. Pour les logiciels libres, le code est audité, ça limite la possibilité d'introduction de Malwares (au facteur humain près).

Pour les logiciels non libres présents dans les dépôts ad-hoc, ça n'est pas auditable, la confiance se limite donc à la personne autorisée à mettre des paquets sur le dépôt.

L'intérêt de ce système, outre la sécurité, c'est que le paquet est construit pour être compatible avec le reste, en partageant des briques communes au maximum. Ça rend le système bien plus économe en place sur le disque et ça facilite les mise a jour de sécurité (un problème sur une brique est corrigée une fois pour tous les logiciels qui l'utilise).

Le problème, c'est que ça fige souvent la version du logiciel utilisé. Pour une Debian Stable qui sort en moyenne tous les deux ans, ça veut dire qu'en fin de cycle, la version de tes logiciels a souvent près de 3 ans.

Voilà pour l'explication générale, tu auras peut-être des infos plus précises dans notre wiki wink

Pour Discord vérifie avec ls, tu n'as pas d'autre moyen pour savoir si tu es bien dans le répertoire où se trouve ton paquet.

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#12 13-02-2020 11:07:52

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

D'accord, je comprends mieux, merci bien.

Les 2 principaux problèmes seront les mise à jours et la sécurité si je prends un logiciel ne provenant pas du dépôt debian.

Merci bien pour toutes vos réponses, je vois ça ce soir, bonne journée !

Hors ligne

#13 13-02-2020 11:21:44

Cauryl
Membre
Distrib. : Debian Buster
(G)UI : Xfce
Inscription : 12-02-2020

Re : Problème d'installation

Salut !

Le problème de nombreux .deb non-libres, c'est qu'ils sont faits et testés sur Ubuntu.

Lorsque tu as besoin d'un logiciel non-libre qui ne se trouve pas dans non-free, tu peux directement aller voir du côté de Flatpak (un gestionnaire de paquet universel). En passant par le dépôt officiel et recommandé : Flathub.

Pour les quelques logiciels graphiques non-fournis par Debian que j'utilise, libres comme non-libres, c'est vers Flatpak+Flathub que je me tourne. C'est propre, correctement intégré avec les logithèques de Gnome et KDE, gestion des dépendances, mise à jour, etc.

J'ai actuellement Discord installé et il fonctionne impeccablement. wink

Dernière modification par Cauryl (13-02-2020 11:27:08)

Hors ligne

#14 13-02-2020 11:32:42

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

Merci pour l'infos Cauryl !

Hors ligne

#15 13-02-2020 11:43:12

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Si non Il y a le module "hello" dans Firefox

regarde un coup mais il me semble que ça devrai le faire ça gére la video conf et/ou que le son

dis nous si ça le fait ou pas wink

Dernière modification par Jean-Pierre Pinson (13-02-2020 11:45:34)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#16 13-02-2020 13:14:08

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Problème d'installation

J'avais pas pensé à Flatpack, c'est une sorte d'entre-deux entre Appimage et dépôt. J'ai essayé pour un logiciel, j'ai laissé tombé lorsque je.me suis aperçu que ça occupait 2 ou 3 Go ...

Petite remarque sur les conseils de Jean-Pierre Pinson : il y a une composante éthique dans les logiciels libres en plus de la composante technique. Il me semble que les conseils de Jean-Pierre sont plus axés sur l'éthique. Ce n'est pas une critique, c'est une position tout a fait défendable, mais il me semble qu'il serait préférable de l'afficher clairement wink

L'intérêt de n'utiliser que les dépôts free de Debian, c'est qu'on est parfaitement raccord avec cette éthique sans avoir à se poser de question smile

@Baptiste : regarde de plus près l'éthique et lanphilosophie de Debian, elle se traduit techniquement. Peut-être, étant donné la description de ton utilisation (apprenti développeur si j'ai bien pigé) que d'autres distriions avec d'autres philosophies seraient plus adaptées.

Debian reste néanmoins une distribution formidable et savoir l'utiliser est une bonne corde à ton arc wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#17 13-02-2020 13:26:41

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

L'utilisation principale sont jeux (via Steam), Discord (pour jeu et travail), et environnement de développement. Après c'est vrai que si je souhaite me lancer sur Linux c'est parce que énormément d'entreprise utilise Linux. Maintenant au niveau de la distribution, j'ai beau cherché, si j'ai bien compris les 2 principaux sont Debian et Unbutu (les mieux renseigné en français en tout cas). Après il y a tellement de distribution, c'est compliqué de choisir laquelle prendre.

Hors ligne

#18 13-02-2020 13:36:50

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Il est vrai que je ne l'affiche pas à chaque fois, mais il me semblait que ça allait de soi, vu que j'utilise libreboot smile Ceci dit, c'est vrai que tout le monde ne sait pas forcément ce qu'est libreboot smile et la philosophie du libre, pour ça, je vous renvoie à la "Free Software Foundation" et à Richard Stallman, fondateur de la Free Software Fondation.

Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#19 13-02-2020 13:44:20

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Debian est une très bonne distribution, c'est ce que j'ai sur mon serveur VPS OVH,

Cependant pour libreboot j'utilise la distribution Trisquel, comme vous pouvez le voir dans mon profil smile

https://fr.wikipedia.org/wiki/Libreboot

Dernière modification par Jean-Pierre Pinson (13-02-2020 13:50:45)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#20 13-02-2020 13:47:16

Cauryl
Membre
Distrib. : Debian Buster
(G)UI : Xfce
Inscription : 12-02-2020

Re : Problème d'installation

bendia a écrit :

J'ai essayé pour un logiciel, j'ai laissé tombé lorsque je.me suis aperçu que ça occupait 2 ou 3 Go ...


Énorme !!!

4 logiciels basés sur Electron + les dépendances

flatpak list


Description                                                                        
Avocode - Hand-off and inspect any design                                          
Discord - Chat client                                                              
Slack - Chat with your team                                                        
Riot - Create, share, communicate, chat and call securely, and bridge to other apps
Freedesktop Platform - Shared libraries                                            
default                                                                            
openh264



du -sh /var/lib/flatpak/


1,9G  /var/lib/flatpak/




Sinon, le Libre est un composant essentiel de l'identité Debian. On l'utilise rarement par hasard. cool

Hors ligne

#21 13-02-2020 13:48:39

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Problème d'installation

Ça va de soi lorsqu'on est versé dans les détails entre libre et open-source, mais ça n'est pas forcément le cas de ton interlocuteur wink

En pratique, tes conseils visent donc à trouver toutes autre solution quel'utilisationd d'un logiciel non libre, quitte à se passer de l'utilisation tout court. Je pense que ça mérite d'être énoncé clairement à des gens qui cherchent des réponses techniques, et pas nécessairement éthiques smile

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

#22 13-02-2020 13:58:59

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

Moi je ne sais pas ce que les "gens" cherchent comme réponses ! Il y a dans ce forum tout une discussion sur libreboot, si ça intéresse les gens, mais je ne pense pas, que ce soit le sujet de ce post !

https://www.debian-facile.org/viewtopic.php?pid=194152

Dernière modification par Jean-Pierre Pinson (13-02-2020 14:01:13)


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#23 13-02-2020 14:14:19

Jean-Pierre Pinson
Membre
Lieu : Orléans
Distrib. : Trisquel 8 64bits Ordi.: Thinkpad T400
Noyau : 4.15.0-55-generic x86_64
(G)UI : xfce
Inscription : 04-03-2017

Re : Problème d'installation

bendia a écrit :

En pratique, tes conseils visent donc à trouver toutes autre solution que l'utilisation d'un logiciel non libre, quitte à se passer de l'utilisation tout court. Je pense que ça mérite.....



J'ai simplement dit qu'il était conseillé d'utiliser les logiciels qui sont dans les dépôts Debian, à aucun moment je n'ai parlé de logiciels libre ou non libre !

À ce que je sache il y a des paquets libre et non libre selon les dépôts que tu choisis, donc je n'ai imposeé aucun choix à quiconque !


Trisquel 8 64bits
Bureau : xfce
Ordinateur : Thinkpad T400 libreboot

Hors ligne

#24 13-02-2020 14:24:15

Baptiste
Membre
Lieu : France
Distrib. : Debian
(G)UI : Xfce
Inscription : 13-02-2020

Re : Problème d'installation

Il n'y a pas de mal, j'ai compris ne vous inquiétez pas^^.

Hors ligne

#25 13-02-2020 14:52:56

bendia
Chadministrateur
Distrib. : openSUSE Tumbleweed, Buster
Noyau : Linux 5.9.1-2-default + Linux 4.19.0-12-amd64
(G)UI : Gnome + Console et un peu Fluxbox
Inscription : 20-03-2012
Site Web

Re : Problème d'installation

@jen-pierre pinson : encore une fois, ta position est louable défendable éthique (ajouter ici un tas d'autres qualifiqiatifs élogieux wink ), j'essaye juste d'expliciter pourquoi à la question "Comment installer Discord" tu réponds "Qu'installer d'autre que Discord" c'est tout smile Après, je me trompe peut-être d'explication, mais dans ce cas, dis clairement que c'est pour ne pas installer un logiciel hors dépôts smile

Le problème avec ce genre de soft, c'est comme les réseaux sociaux : il y a pleins d'autres logiciels libres aussi bien, voire mieux, mais si les gens avec qui tu veux/dois échanger n'y sont pas, ça n'a aucune chance d'être une solution envisageable. Et là, il me semble que c'est le cas wink

Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.

En ligne

Pied de page des forums